This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 509479 - RFE: [PATCH] yum-plugin-fastestmirror - add option for "preferred" mirror
RFE: [PATCH] yum-plugin-fastestmirror - add option for "preferred" mirror
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
11
noarch Linux
low Severity low
: ---
: ---
Assigned To: Luke Macken
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-02 22:30 EDT by Joel Michael
Modified: 2014-01-21 18:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-08 02:24:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Add a preferred mirror option to yum-plugin-fastestmirror (2.59 KB, patch)
2009-07-02 22:30 EDT, Joel Michael
no flags Details | Diff

  None (edit)
Description Joel Michael 2009-07-02 22:30:13 EDT
Created attachment 350369 [details]
Add a preferred mirror option to yum-plugin-fastestmirror

Description of problem:
When using yum-plugin-fastestmirror, it currently selects only the "fastest" mirror.  I have a mirror available to me that does not count towards my download quota, and I would prefer to use that one if possible, even though it might not be the fastest.

Version-Release number of selected component (if applicable):
Name        : yum-plugin-fastestmirror
Version     : 1.1.22
Release     : 1.fc11

How reproducible:
Always

Steps to Reproduce:
1.  # yum clean all; yum list updates
  
Actual results:
yum-fastestmirror selects the fastest mirror

Expected results:
yum-fastestmirror selects the mirror I want it to use if available.  If my preferred mirror is not available, or I don't care what mirror it should use, it will continue to use the fastest mirror.

Additional info:
Patch attached.  It only supports a single preferred mirror.
Comment 1 Luke Macken 2009-07-08 02:24:16 EDT
Applied in 50cc1aad123bf5a0197a478d733c14b2241cd577

Thanks for the patch!
Comment 2 Fedora Update System 2009-09-02 08:44:19 EDT
yum-utils-1.1.23-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/yum-utils-1.1.23-1.fc10
Comment 3 Fedora Update System 2009-09-02 08:44:33 EDT
yum-utils-1.1.23-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/yum-utils-1.1.23-1.fc11
Comment 4 Fedora Update System 2009-10-08 23:36:27 EDT
yum-utils-1.1.23-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.